#include "motor.h"

void motor_init(void)
{
	 GPIO_InitTypeDef GPIO_InitStruct;
	 RCC_AHB1PeriphClockCmd(RCC_AHB1Periph_GPIOG|RCC_AHB1Periph_GPIOF|RCC_AHB1Periph_GPIOB,ENABLE);
	
	 GPIO_InitStruct.GPIO_Pin = GPIO_Pin_0;
	 GPIO_InitStruct.GPIO_Mode = GPIO_Mode_OUT;
	 GPIO_InitStruct.GPIO_OType = GPIO_OType_PP;
	 GPIO_InitStruct.GPIO_PuPd = GPIO_PuPd_UP;
	 GPIO_InitStruct.GPIO_Speed = GPIO_Speed_100MHz;
   GPIO_Init(GPIOG,&GPIO_InitStruct);
	
	 GPIO_InitStruct.GPIO_Pin = GPIO_Pin_15;
	 GPIO_Init(GPIOF,&GPIO_InitStruct);
	
	 GPIO_InitStruct.GPIO_Pin = GPIO_Pin_13;
	 GPIO_Init(GPIOB,&GPIO_InitStruct);

	 MOTOR_1 = 1;
	 MOTOR_2 = 0;
	
	 MOTOR_ON = 0;
}

